from rest_framework import serializers
from .models import Flavor


class InstanceSerializer(serializers.Serializer):
    name = serializers.CharField()
    description = serializers.CharField()
    system = serializers.CharField()
    lease = serializers.RelatedField(read_only=True)
    flavor = serializers.RelatedField(read_only=True)


class FlavorSerializer(serializers.ModelSerializer):
    class Meta:
        model = Flavor
        fields = '__all__'
